site_name: pystencils Source File Generator Documentation
theme: 
  name: material
  features: 
    - navigation.tabs
    - content.code.copy
  palette:
    scheme: slate
    primary: deep purple

extra_css:
 - css/mkdocstrings.css

plugins:
  - search
  - autorefs
  - mkdocstrings:
      default_handler: python
      handlers:
        python:
          paths: [src]
          options:
            heading_level: 2
            show_root_heading: True
            show_root_full_path: False
            show_symbol_type_heading: True
            show_symbol_type_toc: True
            show_source: False
            show_signature_annotations: True
            signature_crossrefs: True

markdown_extensions:
  - pymdownx.highlight:
      anchor_linenums: true
  - pymdownx.superfences 

nav:
  - Home: index.md
  - 'User Guides':
    - 'Overview': usage/index.md
    - 'Writing Generator Scripts': usage/generator_scripts.md
    - 'In-Depth: Building Source Files': usage/building.md
    - 'CLI and Build System Integration': usage/cli.md
  - 'API Documentation':
    - 'Overview': api/index.md
    - 'Source File Generator': api/generator.md
    - 'Composer and Source File Components': api/composition.md
    - 'Kernel Call Tree': api/tree.md
